#!/bin/bash

# set sane defaults
IFS=$' \t\n'
export LANG=C
export LC_NUMERIC=C
export LC_TIME=C

syntax()
{
  printf 'syntax: op5 log inject <string> [pad_length]\n'
  exit $1
}

[ -n "$1" ] || syntax 1
[ "$1" == '-h' ] && syntax 0
[ "$1" == '--help' ] && syntax 0

if [ -n "$2" ]; then
  [ "$2" -ge '0' -o "$2" -le '0' ] &> /dev/null || syntax 1
  printf -v str "%$2s" "$1"
else
  str="$1"
fi

sed -r "s/^\[([^]]+)\] /[\1] $str /"
